Page MenuHomeFreeBSD

Add USES=7z support
ClosedPublic

Authored by jbeich on Nov 17 2015, 8:01 AM.

Details

Summary

Common way to extract .7z files. Can take advantage of libarchive support. Maybe not very useful due to low number of consumers. See examples for usage.

Initial version is based on devel/fb-adb, so expect rough edges.

Test Plan

Build examples on 9.x and 10.x.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jbeich updated this revision to Diff 10256.Nov 17 2015, 8:01 AM
jbeich retitled this revision from to Add USES=7z support.
jbeich updated this object.
jbeich edited the test plan for this revision. (Show Details)
jbeich added a reviewer: portmgr.
jbeich updated this revision to Diff 10257.Nov 17 2015, 8:20 AM
jbeich edited edge metadata.

devel/fb-adb: OVERRIDE_LINUX_BASE_PORT check can be easily killed now.

jbeich updated this revision to Diff 10258.Nov 17 2015, 8:47 AM
jbeich edited edge metadata.

Oops, fix USES=7z:partial regression: DISTFILES vs. _DISTFILES.

bapt added a subscriber: bapt.Jan 10 2016, 2:52 PM

All targets should be done in a POST section

I have seen that other USES are not pushing target in a post section they must be fixed

otherwise looks good to me

In D4190#103040, @bapt wrote:

All targets should be done in a POST section

Rationale? "Traditionally" isn't a valid one as rP394503 was designed to break it. For USES=7z the current order not only safeguards do-p7zip-extract from quirks in individual ports but also allows post-extract to fix up paths/etc after extraction of *.7z files, similar to *.tar.gz.

mat added a subscriber: mat.Mar 15 2016, 6:36 PM

@bapt, if by "post" section you mean the fact that the target is called do-* then it's irrelevant, it's run after the do-extract target, so it feels kinda ok to me.

bapt accepted this revision.Mar 23 2016, 9:58 PM
bapt added a reviewer: bapt.

yes you are right, my bad

This revision is now accepted and ready to land.Mar 23 2016, 9:58 PM
This revision was automatically updated to reflect the committed changes.